{% load static %}
<html lang="en">
	<!--<![endif]-->
	<head>
		<meta charset="utf-8" />
		<title>Iris</title>
		<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
		<meta content="" name="description" />
		<meta content="" name="author" />

		<!-- ================== BEGIN BASE CSS STYLE ================== -->
		<link rel="icon" type="image/png" sizes="96x96" href="{% static 'img/favicon.png' %}" />

		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet" />
		<link href="{% static 'plugins/jquery-ui/jquery-ui.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap/4.1.3/css/bootstrap.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/font-awesome/5.3/css/all.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/animate/animate.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/style.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/style-responsive.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/theme/default.css' %}" rel="stylesheet" id="theme" />
		<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
		<!-- ================== END BASE CSS STYLE ================== -->

		<!-- ================== BEGIN BASE JS ================== -->
		<script src="{% static 'plugins/pace/pace.min.js' %}"></script>
		<script>
			DOMINE_API = '{{DOMAIN_API}}';

			if (!String.prototype.format) {
				String.prototype.format = function() {
					var args = arguments;
					return this.replace(/{(\d+)}/g, function(match, number) {
						return typeof args[number] != 'undefined' ? args[number] : match;
					});
				};
			}
		</script>
		<!-- ================== END BASE JS ================== -->
	</head>
	<body class="pace-top bg-white">
		<!-- begin #page-loader -->
		<div id="page-loader" class="fade show">
			<span class="spinner"></span>
		</div>
		<!-- end #page-loader -->

		<!-- begin #page-container -->
		<div id="page-container" class="fade">
			<!-- begin login -->
			<div class="login login-with-news-feed">
				<!-- begin news-feed -->
				<div class="news-feed">
					<div class="news-image" style="background-image: url({% static 'img/login-bg/login-bg-11.jpg' %})"></div>
				</div>
				<!-- end news-feed -->
				<!-- begin right-content -->
				<div class="right-content">
					<!-- begin login-header -->
					<div class="login-header">
						<div class="brand"></div>
						<div class="icon">
							<i class="fa fa-sign-in"></i>
						</div>
					</div>

					<div class="login-content">
						{% block template %} {% endblock template %}
					</div>
					<!-- end login-content -->
				</div>
				<!-- end right-container -->
			</div>
			<!-- end login -->
		</div>
		<!-- end page container -->

		<!-- ================== BEGIN BASE JS ================== -->
		<script src="{% static 'plugins/jquery/jquery-3.3.1.min.js' %}"></script>
		<script src="{% static 'plugins/jquery-ui/jquery-ui.min.js' %}"></script>
		<!-- Archivo para cargar los diferentes elementos del Sentry -->
		<script
			src="https://browser.sentry-cdn.com/5.15.5/bundle.min.js"
			integrity="sha384-wF7Jc4ZlWVxe/L8Ji3hOIBeTgo/HwFuaeEfjGmS3EXAG7Y+7Kjjr91gJpJtr+PAT"
			crossorigin="anonymous"
		></script>

		<script src="{% static 'plugins/bootstrap/4.1.3/js/bootstrap.bundle.min.js' %}"></script>
		<!-- [if lt IE 9]-->

		<script src="{% static 'crossbrowserjs/html5shiv.js' %}"></script>
		<script src="{% static 'crossbrowserjs/respond.min.js' %}"></script>
		<script src="{% static 'crossbrowserjs/excanvas.min.js' %}"></script>

		<!-- [endif] -->
		<script src="{% static 'plugins/slimscroll/jquery.slimscroll.min.js' %}"></script>
		<script src="{% static 'plugins/js-cookie/js.cookie.js' %}"></script>
		<script src="{% static 'js/theme/default.min.js' %}"></script>
		<script src="{% static 'js/apps.min.js' %}"></script>
		<script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>

		<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-sweetalert/sweetalert.min.js' %}"></script>

		<!-- ================== END BASE JS ================== -->

		<script>
			$(document).ready(function() {

			App.init();

			/**
			 * 	@plugin {conf} Sentry para la capura principal de los errores ocurridos en el front end
			 * 	@module {@param @param } beforeSend el cual permite enviar una configuracion al
			 * 	 back end antes de enviarla al servidor Sentry.
			 *  @return event Evento que sera enviado al servidor Sentry.
			 */
			Sentry.init({
				dsn: 'https://6631762ba88d4c0589987b2496dc25ce@o391132.ingest.sentry.io/5236752',
				beforeSend: (event, hint) => {
					/** Se le pasa el ambito del desarrollo */
					event['environment'] = '{{SENTRY_ET}}';

					/** @namespace {object} notify  Se le pasa el ambito del desarrollo*/
					let notify = {
						environment: '{{SENTRY_ET}}',
						event_id: event.event_id,
						url: event.request.url !== undefined ? event.request.url : '',
						datatime: new Date().toLocaleString(),
						type: event.exception.values[0].type,
						value: event.exception.values[0].value
					};

					/**
					 * @API [ajax] Se envia la notificacion al back end para que este proceda a notificarla en el Slack.
					 */
					$.post(DOMINE_API.format('api/v1/slack/sentry_frontend_error/'), notify, (data, status, xhr) =>{});

					return event;
				}
			});

			/**
			 * Se verifica que le toquen no este vacio o undefined
			*/
			if(Cookies.get('token') != undefined) {
				/** Se cosulta que el token este activo en el servidor. */
				$.post(DOMINE_API.format('api/v1/user/token/verify/'),
				{'token' : Cookies.get('token')},
				function(data, status, xhr) {
					/** Si no retorna que esta activo la cookie sera removida del navegador. */
					if (status !== "success" && xhr.status !== 200) {
						Cookies.remove('token');
					}else{
						/** Caso contrario se enviara a la pagina de inicio. */
						$(location).attr('href', '{{ TOKEN }}/2');
					}
				});
			}

			{% block logic %}
			{% endblock logic %}

			});
		</script>
	</body>
</html>
